@echo off

set problem=number
set author=ak

echo Generating tests...
cd src
python gen.py
cd ..

dcc32 -U..\..\lib -cc check.dpr

echo Generating answers...
for %%i in (tests\??) do (
	echo Test %%i
	copy %%i %problem%.in > nul
	python %problem%_%author%.py
	copy %problem%.out %%i.a > nul
	check %%i %%i.a %%i.a
)
